
Redmine - Defect #10176

Custom fields of type "User" can't be ordered

2012-02-08 15:24 - Gonzalo Fernández-Victorio

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.3.0

Description

I cannot order a query by a custom Field of type Users of of type Version.

This defect is similar to #9920. However, that one had two issues ("order_by in a project" and "query in all projects") and was closed

as a duplicated of #9445. I understand that "query in all projects" is a duplicate of #9445 but "order_by in a project" keeps

unresolved.

I have managed to resolve for our own installation with the following modification (needs proper test and testing for being a patch)

--- custom_field.rb    (Redmine Bitnami 1.3.0)

+++ custom_field.rb    (working copy)

@@ -122,7 +122,7 @@

   # Returns false, if the custom field can not be used for sorting.

   def order_statement

     case field_format

-      when 'string', 'text', 'list', 'date', 'bool'

+      when 'string', 'text', 'list', 'date', 'bool', 'user', 'version'

         # COALESCE is here to make sure that blank and NULL values are sorted equally

         "COALESCE((SELECT cv_sort.value FROM #{CustomValue.table_name} cv_sort" +

           " WHERE cv_sort.customized_type='#{self.class.customized_class.name}'" +

Related issues:

Related to Redmine - Feature #9445: Add Issue custom fields of User-format to... Closed 2011-10-21

Related to Redmine - Defect #9920: Custom fields of type "User" can't be orde... Closed

History

#1 - 2012-03-05 05:48 - Ewan Makepeace

Related: I dont need to sort but want to "Group By" my custom User field...

#2 - 2017-09-23 12:29 - Toshi MARUYAMA

- Category set to Custom fields

#3 - 2017-09-23 12:30 - Toshi MARUYAMA

- Description updated

#4 - 2017-09-23 12:38 - Toshi MARUYAMA

- Status changed from New to Closed

It seems fixed by r12400.
